\name{PeriodicityTest}
\alias{PeriodicityTest}
\title{ Test a series for periodicity }
\description{
Test for periodicity. Missing values allowed.
}
\usage{
PeriodicityTest(x, NSim = 10^4)
}

\arguments{
  \item{x}{ series }
  \item{NSim}{ number of Monte-Carlo iterations }
}
\details{
NID(0,1) series of the same length as the original are used.
}

\value{
p-value.
Is set to NA when ignoreLowQ=TRUE and the estimated frequency
corresonds to a period less than the observed series length.
}

\author{A.I. McLeod and M.S. Islam}

\references{
Islam, M.S. (2008).  
Peridocity, Change Detection and Prediction in Microarrays. 
Ph.D. Thesis, The University of Western Ontario. 
}

\seealso{ \code{\link{FisherGTest}} }

\examples{
z<-SimulateHReg(10, f=2.5/10, 1, 2)
PeriodicityTest(z)
}

\keyword{ ts }
