\name{gtsplot}
\alias{gtsplot}
\title{Time sequence plot for selected genes}

\description{Lattice style graphics are used to plot the time sequence corresponding to 
selected genes in gene expression at a sequence of time points.}

\usage{gtsplot(Y, id)}

\arguments{
  \item{Y}{an ng-by-nt matrix, ng=number of genes, nt=number of time points}
  \item{id}{id for genes, it is assumed that these id's are the row names 
  			in the matrix Y.}
	}

\value{lattice graph}

\author{A. I. McLeod}

\examples{
#plot a random selection of NSize genes
set.seed(321123) #this example is reproducible
NSize<-35
jnd<-sample(1:nrow(Cc), size=NSize)
ind<-dimnames(Cc)[[1]][jnd]
gtsplot(Cc, ind)
}

\keyword{ts}
